[arch-commits] Commit in glib2/repos (8 files)

Jan de Groot jgc at nymeria.archlinux.org
Mon Jul 15 15:14:42 UTC 2013


    Date: Monday, July 15, 2013 @ 17:14:41
  Author: jgc
Revision: 190099

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  glib2/repos/testing-i686/
  glib2/repos/testing-i686/PKGBUILD
    (from rev 190098, glib2/trunk/PKGBUILD)
  glib2/repos/testing-i686/bug701560.patch
    (from rev 190098, glib2/trunk/bug701560.patch)
  glib2/repos/testing-i686/revert-warn-glib-compile-schemas.patch
    (from rev 190098, glib2/trunk/revert-warn-glib-compile-schemas.patch)
  glib2/repos/testing-x86_64/
  glib2/repos/testing-x86_64/PKGBUILD
    (from rev 190098, glib2/trunk/PKGBUILD)
  glib2/repos/testing-x86_64/bug701560.patch
    (from rev 190098, glib2/trunk/bug701560.patch)
  glib2/repos/testing-x86_64/revert-warn-glib-compile-schemas.patch
    (from rev 190098, glib2/trunk/revert-warn-glib-compile-schemas.patch)

-------------------------------------------------------+
 testing-i686/PKGBUILD                                 |   72 ++++++++++++++++
 testing-i686/bug701560.patch                          |   37 ++++++++
 testing-i686/revert-warn-glib-compile-schemas.patch   |   33 +++++++
 testing-x86_64/PKGBUILD                               |   72 ++++++++++++++++
 testing-x86_64/bug701560.patch                        |   37 ++++++++
 testing-x86_64/revert-warn-glib-compile-schemas.patch |   33 +++++++
 6 files changed, 284 insertions(+)

Copied: glib2/repos/testing-i686/PKGBUILD (from rev 190098, glib2/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2013-07-15 15:14:41 UTC (rev 190099)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=glib2
+pkgname=(glib2 glib2-docs)
+pkgver=2.36.3
+pkgrel=3
+pkgdesc="Common C routines used by GTK+ and other libs"
+url="http://www.gtk.org/"
+arch=(i686 x86_64)
+makedepends=('pkg-config' 'python2' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'elfutils')
+source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver%.*}/glib-$pkgver.tar.xz
+        bug701560.patch
+        revert-warn-glib-compile-schemas.patch)
+sha256sums=('5ec433bf6ce02e4c436619c3d0b9cecdd1898469398a636bad27c1f5804c761e'
+            '5e71f9a59f434f8850fb2474d3f8022ea36c7e254283db3437ae72f52b0690bd'
+            '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
+
+prepare() {
+  cd glib-$pkgver
+  patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
+  patch -Np1 -i ../bug701560.patch
+
+  touch -r NEWS gtk-doc.make
+}
+  
+build() {
+  cd glib-$pkgver
+  PYTHON=/usr/bin/python2 ./configure --prefix=/usr --libdir=/usr/lib \
+      --sysconfdir=/etc \
+      --with-pcre=system \
+      --disable-fam
+  make
+}
+
+check() {
+  cd glib-$pkgver
+  #make -k check || :
+}
+
+package_glib2() {
+  depends=('pcre' 'libffi')
+  optdepends=('python2: for gdbus-codegen and gtester-report'
+              'elfutils: gresource inspection tool')
+  options=('!docs' '!libtool' '!emptydirs')
+  license=('LGPL')
+
+  cd glib-$pkgver
+  make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
+
+  for _i in "$pkgdir/usr/share/bash-completion/completions/"*; do
+      chmod -x "$_i"
+  done
+
+  # Our gdb does not ship the required python modules, so remove it
+  rm -rf "$pkgdir/usr/share/gdb/"
+}
+
+package_glib2-docs() {
+  pkgdesc="Documentation for glib2"
+  conflicts=('gobject2-docs')
+  replaces=('gobject2-docs')
+  license=('custom')
+  options=('docs' '!emptydirs')
+  
+  cd glib-$pkgver/docs
+  make DESTDIR="${pkgdir}" install
+  install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
+  install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
+
+  rm -rf "${pkgdir}/usr/share/man"
+}

Copied: glib2/repos/testing-i686/bug701560.patch (from rev 190098, glib2/trunk/bug701560.patch)
===================================================================
--- testing-i686/bug701560.patch	                        (rev 0)
+++ testing-i686/bug701560.patch	2013-07-15 15:14:41 UTC (rev 190099)
@@ -0,0 +1,37 @@
+From 05d430065da918051a97e3384c4b2252af47503d Mon Sep 17 00:00:00 2001
+From: Colin Walters <walters at verbum.org>
+Date: Thu, 20 Jun 2013 17:13:29 +0000
+Subject: Revert "g_file_set_contents(): don't fsync on ext3/4"
+
+We didn't actually do any real-world testing of this, and
+unsurprisingly it turns out to break in at least one widely-used
+configuration (Fedora 19 x86_64, ext4 on LVM).
+
+This reverts commit 9d0c17b50102267a5029b58b1f44efbad82d8f03.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=701560
+---
+diff --git a/glib/gfileutils.c b/glib/gfileutils.c
+index b6ca3bb..2980098 100644
+--- a/glib/gfileutils.c
++++ b/glib/gfileutils.c
+@@ -1088,16 +1088,9 @@ write_to_temp_file (const gchar  *contents,
+     /* On Linux, on btrfs, skip the fsync since rename-over-existing is
+      * guaranteed to be atomic and this is the only case in which we
+      * would fsync() anyway.
+-     *
+-     * ext3 and ext4 are also safe in this respect under the default
+-     * mount options (and if someone picks non-default options to
+-     * improve their performance at the cost of reliability, who are we
+-     * to argue?)
+-     *
+-     * Note: EXT[234]_SUPER_MAGIC are equal.
+      */
+ 
+-    if (fstatfs (fd, &buf) == 0 && (buf.f_type == BTRFS_SUPER_MAGIC || buf.f_type == EXT3_SUPER_MAGIC))
++    if (fstatfs (fd, &buf) == 0 && buf.f_type == BTRFS_SUPER_MAGIC)
+       goto no_fsync;
+   }
+ #endif
+--
+cgit v0.9.2

Copied: glib2/repos/testing-i686/revert-warn-glib-compile-schemas.patch (from rev 190098, glib2/trunk/revert-warn-glib-compile-schemas.patch)
===================================================================
--- testing-i686/revert-warn-glib-compile-schemas.patch	                        (rev 0)
+++ testing-i686/revert-warn-glib-compile-schemas.patch	2013-07-15 15:14:41 UTC (rev 190099)
@@ -0,0 +1,33 @@
+From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt at desrt.ca>
+Date: Thu, 12 Apr 2012 23:55:34 +0000
+Subject: glib-compile-schemas: warn about bad dconf paths
+
+For quite some time the recommended usage of GSettings and dconf has
+been to use paths like /org/gnome/example/.  Use of /apps/ has spilled
+over from GConf and is continuing to make its way into a number of
+applications as they port.
+
+glib-compile-schemas will now warn about these types of paths being
+used.  This generates a lot of noise, but hopefully it will reduce the
+number of ported applications making this mistake.
+---
+diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
+index cf02389..27d0181 100644
+--- a/gio/glib-compile-schemas.c
++++ b/gio/glib-compile-schemas.c
+@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState  *state,
+       return;
+     }
+ 
++  if (path && (g_str_has_prefix (path, "/apps/") ||
++               g_str_has_prefix (path, "/desktop/") ||
++               g_str_has_prefix (path, "/system/")))
++    g_printerr ("warning: Schema '%s' has path '%s'.  Paths starting with "
++                "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
++
+   state->schema_state = schema_state_new (path, gettext_domain,
+                                           extends, extends_name, list_of);
+ 
+--
+cgit v0.9.0.2

Copied: glib2/repos/testing-x86_64/PKGBUILD (from rev 190098, glib2/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2013-07-15 15:14:41 UTC (rev 190099)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=glib2
+pkgname=(glib2 glib2-docs)
+pkgver=2.36.3
+pkgrel=3
+pkgdesc="Common C routines used by GTK+ and other libs"
+url="http://www.gtk.org/"
+arch=(i686 x86_64)
+makedepends=('pkg-config' 'python2' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'elfutils')
+source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver%.*}/glib-$pkgver.tar.xz
+        bug701560.patch
+        revert-warn-glib-compile-schemas.patch)
+sha256sums=('5ec433bf6ce02e4c436619c3d0b9cecdd1898469398a636bad27c1f5804c761e'
+            '5e71f9a59f434f8850fb2474d3f8022ea36c7e254283db3437ae72f52b0690bd'
+            '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
+
+prepare() {
+  cd glib-$pkgver
+  patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
+  patch -Np1 -i ../bug701560.patch
+
+  touch -r NEWS gtk-doc.make
+}
+  
+build() {
+  cd glib-$pkgver
+  PYTHON=/usr/bin/python2 ./configure --prefix=/usr --libdir=/usr/lib \
+      --sysconfdir=/etc \
+      --with-pcre=system \
+      --disable-fam
+  make
+}
+
+check() {
+  cd glib-$pkgver
+  #make -k check || :
+}
+
+package_glib2() {
+  depends=('pcre' 'libffi')
+  optdepends=('python2: for gdbus-codegen and gtester-report'
+              'elfutils: gresource inspection tool')
+  options=('!docs' '!libtool' '!emptydirs')
+  license=('LGPL')
+
+  cd glib-$pkgver
+  make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
+
+  for _i in "$pkgdir/usr/share/bash-completion/completions/"*; do
+      chmod -x "$_i"
+  done
+
+  # Our gdb does not ship the required python modules, so remove it
+  rm -rf "$pkgdir/usr/share/gdb/"
+}
+
+package_glib2-docs() {
+  pkgdesc="Documentation for glib2"
+  conflicts=('gobject2-docs')
+  replaces=('gobject2-docs')
+  license=('custom')
+  options=('docs' '!emptydirs')
+  
+  cd glib-$pkgver/docs
+  make DESTDIR="${pkgdir}" install
+  install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
+  install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
+
+  rm -rf "${pkgdir}/usr/share/man"
+}

Copied: glib2/repos/testing-x86_64/bug701560.patch (from rev 190098, glib2/trunk/bug701560.patch)
===================================================================
--- testing-x86_64/bug701560.patch	                        (rev 0)
+++ testing-x86_64/bug701560.patch	2013-07-15 15:14:41 UTC (rev 190099)
@@ -0,0 +1,37 @@
+From 05d430065da918051a97e3384c4b2252af47503d Mon Sep 17 00:00:00 2001
+From: Colin Walters <walters at verbum.org>
+Date: Thu, 20 Jun 2013 17:13:29 +0000
+Subject: Revert "g_file_set_contents(): don't fsync on ext3/4"
+
+We didn't actually do any real-world testing of this, and
+unsurprisingly it turns out to break in at least one widely-used
+configuration (Fedora 19 x86_64, ext4 on LVM).
+
+This reverts commit 9d0c17b50102267a5029b58b1f44efbad82d8f03.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=701560
+---
+diff --git a/glib/gfileutils.c b/glib/gfileutils.c
+index b6ca3bb..2980098 100644
+--- a/glib/gfileutils.c
++++ b/glib/gfileutils.c
+@@ -1088,16 +1088,9 @@ write_to_temp_file (const gchar  *contents,
+     /* On Linux, on btrfs, skip the fsync since rename-over-existing is
+      * guaranteed to be atomic and this is the only case in which we
+      * would fsync() anyway.
+-     *
+-     * ext3 and ext4 are also safe in this respect under the default
+-     * mount options (and if someone picks non-default options to
+-     * improve their performance at the cost of reliability, who are we
+-     * to argue?)
+-     *
+-     * Note: EXT[234]_SUPER_MAGIC are equal.
+      */
+ 
+-    if (fstatfs (fd, &buf) == 0 && (buf.f_type == BTRFS_SUPER_MAGIC || buf.f_type == EXT3_SUPER_MAGIC))
++    if (fstatfs (fd, &buf) == 0 && buf.f_type == BTRFS_SUPER_MAGIC)
+       goto no_fsync;
+   }
+ #endif
+--
+cgit v0.9.2

Copied: glib2/repos/testing-x86_64/revert-warn-glib-compile-schemas.patch (from rev 190098, glib2/trunk/revert-warn-glib-compile-schemas.patch)
===================================================================
--- testing-x86_64/revert-warn-glib-compile-schemas.patch	                        (rev 0)
+++ testing-x86_64/revert-warn-glib-compile-schemas.patch	2013-07-15 15:14:41 UTC (rev 190099)
@@ -0,0 +1,33 @@
+From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt at desrt.ca>
+Date: Thu, 12 Apr 2012 23:55:34 +0000
+Subject: glib-compile-schemas: warn about bad dconf paths
+
+For quite some time the recommended usage of GSettings and dconf has
+been to use paths like /org/gnome/example/.  Use of /apps/ has spilled
+over from GConf and is continuing to make its way into a number of
+applications as they port.
+
+glib-compile-schemas will now warn about these types of paths being
+used.  This generates a lot of noise, but hopefully it will reduce the
+number of ported applications making this mistake.
+---
+diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
+index cf02389..27d0181 100644
+--- a/gio/glib-compile-schemas.c
++++ b/gio/glib-compile-schemas.c
+@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState  *state,
+       return;
+     }
+ 
++  if (path && (g_str_has_prefix (path, "/apps/") ||
++               g_str_has_prefix (path, "/desktop/") ||
++               g_str_has_prefix (path, "/system/")))
++    g_printerr ("warning: Schema '%s' has path '%s'.  Paths starting with "
++                "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
++
+   state->schema_state = schema_state_new (path, gettext_domain,
+                                           extends, extends_name, list_of);
+ 
+--
+cgit v0.9.0.2




More information about the arch-commits mailing list